package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.SysConfig;
import com.ym.mec.common.dal.BaseDAO;

public interface SysConfigDao extends BaseDAO<Long, SysConfig> {

    /**
     * @Author: Joburgess
     * @Date: 2019/10/9
     * @params [paramName]
     * @return com.ym.mec.biz.dal.entity.SysConfig
     * @describe 根据配置名称获取配置信息
     */
    SysConfig findByParamName(String paramName);

    /**
     * 获取value
     * @param paramName
     * @return
     */
    String findConfigValue(String paramName);
	
}
