package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.PeriodEnum;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

public class MemberPayParamDto{
    @ApiModelProperty(value = "购买次数", required = false)
    private Integer buyNum;

    private Integer giveNum;

    private Integer activeRemark;

    private String remark;

    @ApiModelProperty(value = "优惠券列表", required = false)
    private Integer memberRankId;

    private PeriodEnum periodEnum;

    private BigDecimal amount;

    private boolean isUseBalance = false;

    private boolean repay = false;

    private Integer userId;

    @ApiModelProperty(value = "优惠券列表", required = false)
    private List<Integer> couponIdList;

    public boolean isRepay() {
        return repay;
    }

    public void setRepay(boolean repay) {
        this.repay = repay;
    }

    public List<Integer> getCouponIdList() {
        return couponIdList;
    }

    public void setCouponIdList(List<Integer> couponIdList) {
        this.couponIdList = couponIdList;
    }

    public Integer getBuyNum() {
        return buyNum;
    }

    public void setBuyNum(Integer buyNum) {
        this.buyNum = buyNum;
    }

    public Integer getGiveNum() {
        return giveNum;
    }

    public void setGiveNum(Integer giveNum) {
        this.giveNum = giveNum;
    }

    public Integer getActiveRemark() {
        return activeRemark;
    }

    public void setActiveRemark(Integer activeRemark) {
        this.activeRemark = activeRemark;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getMemberRankId() {
        return memberRankId;
    }

    public void setMemberRankId(Integer memberRankId) {
        this.memberRankId = memberRankId;
    }

    public PeriodEnum getPeriodEnum() {
        return periodEnum;
    }

    public void setPeriodEnum(PeriodEnum periodEnum) {
        this.periodEnum = periodEnum;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public boolean isUseBalance() {
        return isUseBalance;
    }

    public void setUseBalance(boolean useBalance) {
        isUseBalance = useBalance;
    }

    @Override
    public String toString() {
        return "MemberPayParamDto{" +
                "buyNum=" + buyNum +
                ", giveNum=" + giveNum +
                ", activeRemark=" + activeRemark +
                ", remark='" + remark + '\'' +
                ", memberRankId=" + memberRankId +
                ", periodEnum=" + periodEnum +
                ", amount=" + amount +
                ", isUseBalance=" + isUseBalance +
                ", userId=" + userId +
                ", couponIdList=" + couponIdList +
                '}';
    }
}
