package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.Date;

/**
 * 对应数据库表(music_enlightenment_questionnaire):
 */
public class MusicEnlightenmentQuestionnaire {

	/**  */
	private Long id;
	
	/** 乐团编号 */
	@ApiModelProperty("乐团编号")
	private String musicGroupId;
	
	/**  */
	@ApiModelProperty("用户编号")
	private Integer userId;
	
	/**  */
	@ApiModelProperty("用户名")
	private String userName;
	
	/**  */
	@ApiModelProperty("联系方式")
	private String phone;
	
	/** 年级 */
	@ApiModelProperty("年级")
	private String currentGrade;
	
	/** 年级数字 */
	@ApiModelProperty("年级数字")
	private Integer currentGradeNum;
	
	/** 班级 */
	@ApiModelProperty("班级")
	private String currentClass;
	
	/** 教师推荐专业 */
	@ApiModelProperty("教师推荐专业")
	private Integer teacherRecommandSubjectId;

	@ApiModelProperty("专业名称")
	private String subjectName;
	
	/** 是否正在学习某乐器 */
	@ApiModelProperty("是否正在学习某乐器")
	private Boolean musicalInstrumentsLearning = false;
	
	/** 学习乐器名称 */
	@ApiModelProperty("学习乐器名称")
	private String musicalInstrumentsName;
	
	/** 是否参加家长会 */
	@ApiModelProperty("是否参加家长会")
	private Boolean joinParentMeeting = false;
	
	/** 备注 */
	@ApiModelProperty("备注")
	private String remark;

	private Date createTime;

	private Date updateTime;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getMusicGroupId() {
		return musicGroupId;
	}

	public void setMusicGroupId(String musicGroupId) {
		this.musicGroupId = musicGroupId;
	}

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getCurrentGrade() {
		return currentGrade;
	}

	public void setCurrentGrade(String currentGrade) {
		this.currentGrade = currentGrade;
	}

	public Integer getCurrentGradeNum() {
		return currentGradeNum;
	}

	public void setCurrentGradeNum(Integer currentGradeNum) {
		this.currentGradeNum = currentGradeNum;
	}

	public String getCurrentClass() {
		return currentClass;
	}

	public void setCurrentClass(String currentClass) {
		this.currentClass = currentClass;
	}

	public Integer getTeacherRecommandSubjectId() {
		return teacherRecommandSubjectId;
	}

	public void setTeacherRecommandSubjectId(Integer teacherRecommandSubjectId) {
		this.teacherRecommandSubjectId = teacherRecommandSubjectId;
	}

	public String getSubjectName() {
		return subjectName;
	}

	public void setSubjectName(String subjectName) {
		this.subjectName = subjectName;
	}

	public Boolean getMusicalInstrumentsLearning() {
		return musicalInstrumentsLearning;
	}

	public void setMusicalInstrumentsLearning(Boolean musicalInstrumentsLearning) {
		this.musicalInstrumentsLearning = musicalInstrumentsLearning;
	}

	public String getMusicalInstrumentsName() {
		return musicalInstrumentsName;
	}

	public void setMusicalInstrumentsName(String musicalInstrumentsName) {
		this.musicalInstrumentsName = musicalInstrumentsName;
	}

	public Boolean getJoinParentMeeting() {
		return joinParentMeeting;
	}

	public void setJoinParentMeeting(Boolean joinParentMeeting) {
		this.joinParentMeeting = joinParentMeeting;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
