package com.ym.mec.biz.service;


import java.math.BigDecimal;
import java.util.Map;

/**
 * 支付服务类
 */

public interface PayService {
    /**
     *
     * @param amount 支付金额
     * @param orderNo 订单编号
     * @param notifyUrl 回调地址
     * @param returnUrl 返回地址
     * @param orderSubject 订单主题
     * @param orderBody 订单内容
     * @param organId 分部编号
     * @param receiver 指定接收
     * @return
     * @throws Exception
     */
    Map<String, Object> getPayMap(BigDecimal amount,BigDecimal balanceAmount, String orderNo, String notifyUrl, String returnUrl, String orderSubject, String orderBody,Integer organId,String receiver) throws Exception;
}
