package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.Teacher;
import com.ym.mec.biz.dal.entity.TeacherCourseStatistics;
import com.ym.mec.biz.dal.page.*;
import com.ym.mec.common.entity.HttpResponseResult;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;
import com.ym.mec.util.date.DateUtil;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.stream.Collectors;


public interface TeacherCourseStatisticsService extends BaseService<Long, TeacherCourseStatistics> {

    /**
     * 分页查询查询
     *
     * @param queryInfo
     * @return
     */
    PageInfo<TeacherCourseStatistics> queryPageDetail(TeacherCourseStatisticsQueryInfo queryInfo);

    /**
     * 乐团课程统计
     */
    void teacherCourseStatistic();

}
