package com.ym.mec.education.controller;

import com.ym.mec.biz.service.DemoGroupService;
import com.ym.mec.common.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author Joburgess
 * @Date 2019/9/27
 */

@Api(tags = "试听课-教务端")
@RequestMapping("educationDemoGroup")
@RestController
public class EducationDemoGroupController extends BaseController {

    @Autowired
    private DemoGroupService demoGroupService;

    @ApiOperation(value = "试听课安排")
    @PostMapping("/queryStudentDemoGroups")
    public Object queryTeacherDemoGroups(Long teacherId){
        return succeed(demoGroupService.findDemoGroupStartClassTimesWithWeekByTeacherId(teacherId));
    }

}
