package com.ym.mec.education.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * 班级类型
 */
public enum ClassGroupTypeEnum implements BaseEnum<String, ClassGroupTypeEnum> {
	NORMAL("NORMAL", "普通班级"), MIX("MIX", "合奏班级"), HIGH("HIGH", "提高班"), VIP("VIP", "vip课"), DEMO("demo", "试听课");

	private String code;

	private String msg;

	ClassGroupTypeEnum(String code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	@Override
	public String getCode() {
		return this.code;
	}
}
