package com.ym.mec.education.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ym.mec.education.entity.TeacherAttendance;
import com.ym.mec.education.req.TeacherLeaveRecordReq;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 老师签到表 Mapper 接口
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
public interface TeacherAttendanceMapper extends BaseMapper<TeacherAttendance> {

    Page<TeacherAttendance> selectClassRecordPage(Page page, @Param("query")TeacherLeaveRecordReq teacherLeaveRecordReq);
}
