package com.ym.mec.education.req;

import com.ym.mec.education.base.BaseQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @program: mec
 * @description: 审批入参
 * @author: xw
 * @create: 2019-10-12 12:59
 */
@Data
@ApiModel(description = "审批入参")
public class ApprovalReq extends BaseQuery {

    @ApiModelProperty(value = "处理人")
    private Integer userId;

    @ApiModelProperty(value = "流程id")
    private String orderId;

    @ApiModelProperty(value = "未读状态 0 未读 1 已读")
    private Integer status;

    @ApiModelProperty(value = "审批事项")
    private String approvalType;
}
