package com.ym.mec.education.req;

/**
 * @version V1.0
 * @Description: TODO
 * @date Date : 2019年10月07日 9:43
 */

import com.ym.mec.education.base.BaseQuery;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * |上课记录
 */
@Data
@ToString
public class AttendClassReq extends BaseQuery implements Serializable {
    @ApiModelProperty(value = "月份", required = false)
    private String months;
    @ApiModelProperty(value = "类型1.已上课,2 未上课", required = true)
    private String type;
    /**
     * 	NORMAL("NORMAL", "普通班级"),
     * 	MIX("MIX", "合奏班级"),
     * 	HIGH("HIGH", "提高班"),
     * 	VIP("VIP", "vip课"),
     * 	DEMO("demo", "试听课");
     */
    @ApiModelProperty(value = "课程类型", required = false)
    private String classType;

    /**
     * 到课状态
     */
    @ApiModelProperty(value = "到课情况", required = false)
    /**
     *     NOT_START("NOT_START","未开始"),
     *     UNDERWAY("UNDERWAY","进行中"),
     *     OVER("OVER","已结束");
     */
    private String status;

    /**
     * 学生id
     */
    private Integer userId;
}
