package com.ym.mec.education.req;

import com.ym.mec.education.base.BaseQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @program: mec
 * @description: 学员入参
 * @author: xw
 * @create: 2019-10-06 17:51
 */
@Data
@ApiModel(description = "学员入参")
public class StudentReq extends BaseQuery {

    @ApiModelProperty(value = "学员姓名")
    private String studentName;

    @ApiModelProperty(value = "学员编号")
    private Integer studentId;

    @ApiModelProperty(value = "老师编号")
    private Integer teacherId;
}
