package com.ym.mec.education.req;

import com.ym.mec.education.base.BaseQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;

/**
 * @program: mec
 * @description: 老师请假记录入参
 * @author: xw
 * @create: 2019-09-29 17:04
 */
@Data
@ApiModel(description = "老师请假记录入参")
public class TeacherLeaveRecordReq extends BaseQuery {

    @ApiModelProperty(value = "老师id", required = true)
    private Integer teacherId;

    @ApiModelProperty(value = "老师请假时间")
    private Date leaveTime;

    @ApiModelProperty(value = "课程类型(单技课、小班课、合奏课、综合课、练习课、启蒙课、集训课、VIP课、试听课)")
    private String courseType;
}
