package com.ym.mec.education.resp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * @author : chengp
 * @version V1.0
 * @Description: TODO
 * @date Date : 2019年10月07日 9:43
 */

@Data
@ToString
@ApiModel(description = "上课记录出参")
public class AttendClassResp implements Serializable {

    @ApiModelProperty(value = "剩余课程数")
    private Integer subClassNum;
    @ApiModelProperty(value = "上课状态")
    private String status;
    @ApiModelProperty(value = "日期")
    private String dateStr;
    @ApiModelProperty(value = "开始时间")
    private String startTime;
    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ApiModelProperty(value = "线上，线下")
    private String teachMode;
    @ApiModelProperty(value = "课程名")
    private String className;
    @ApiModelProperty(value = "星期")
    private String week;

    private Integer musicGroupId;
    private Integer classGroupId;
    private Integer userId;
    private Integer teacherId;
    private String type;//vip 普通课
    private String name;//乐团名
    private String courseName;//课程名
    @ApiModelProperty(value = "老师名")
    private String realName;


    private Date startClassTime;
    private Date endClassTime;
    private Date classDate;//课表日期

    private Integer totalClassTimes;

    private Integer currentclassTimes;
}
