package com.ym.mec.education.resp;


import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 课程作业表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@ToString
@Data
@AllArgsConstructor
@NoArgsConstructor
public class CourseHomeworkResp implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;
    private Long courseScheduleId;
    /**
     * 附件地址（多个用逗号分隔）
     */
    private String attachments;
    /**
     * 作业内容
     */
    private String content;
    private Date createTime;
    private Date updateTime;
    private Integer musicGroupId;
    private Integer classGroupId;
    /**
     * 截止日期
     */
    private Date expiryDate;
    /**
     * 完成人数
     */
    private Integer completedNum;
    /**
     * 预计人数
     */
    private Integer expectNum;

    private String courseName;

    /**
     * 总课时
     */
    private Integer totalClassTimes;
    /**
     * 当前
     */
    private Integer currentClassTimes;

    private String groupName;





}
