package com.ym.mec.education.resp;


import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 课程作业表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@ToString
@Data
@AllArgsConstructor
@NoArgsConstructor
public class CourseInfoResp implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;
    private Long courseScheduleId;
    //课程名s
    private String courseName;
    //老师名
    private String realName;


    private String startClassTime;
    private String endClassTime;
    //课表日期
    private String classDate;

    private String week;

    private String schoolName;

    private Integer totalNum;

    private Integer actualNum;

    private Integer leaveNum;
}
