package com.ym.mec.education.resp;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author : chengp
 * @version V1.0
 * @Description: TODO
 * @date Date : 2019年09月25日 21:36
 */
@Data
public class MusicGroupResp implements Serializable {


    private static final long serialVersionUID = 1L;

    private String id;
    /**
     * 乐团名称
     */
    private String name;
    /**
     * 所属分部
     */
    private Integer organId;
    /**
     * 学校(合作单位)
     */
    private Integer schoolId;
    /**
     * 报名截止日期
     */
    private Date applyExpireDate;
    /**
     * 运营主管
     */
    private Integer teamTeacherId;
    private String teamTeacherName;
    /**
     * 教务老师
     */
    private Integer educationalTeacherId;

    private String eduTeacherName;
    /**
     * 收费类型
     */
    private Integer chargeTypeId;
    /**
     * 课程形态
     */
    private String courseForm;
    private Date createTime;
    private Date updateTime;
    /**
     * 状态（报名中、缴费中、筹备中、进行中、取消）
     */
    private String status;
    /**
     * 计费开始日期
     */
    private Date billStartDate;
    /**
     * 提高课班级数
     */
    private Integer improventClassesNum;
    /**
     * 招生年级（多个用|分开）
     */
    private String enrollClasses;
    /**
     * 缴费截止时间
     */
    private Date paymentExpireDate;
    /**
     * 是否是加课
     */
    private String isExtraClass;
    /**
     * 合作单位编号
     */
    private Integer cooperationOrganId;
    /**
     * 启蒙课日期
     */
    private Date enlightenmentCourseTime;
    /**
     * 家长会日期
     */
    private Date parentMeetingTime;

    /**
     * 学生数
     */
    private Integer studentNum = 0 ;

    /**
     * 老师数量
     */
    private Integer teacherNum = 0;


    /**
     * 合排
     */
    private Integer mergeClassNum = 0;

    /**
     * 单技能
     */
    private Integer unitClassNum = 0;

    /**
     * 在读
     */
    private Integer liveStudNum = 0;

    /**
     * 退学
     */
    private Integer delStudNum = 0;

}
