package com.ym.mec.education.resp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import java.io.Serializable;
import java.util.List;

/**
 * @program: mec
 * @description: 学生考勤出参
 * @author: xw
 * @create: 2019-09-26 15:24
 */
@Data
@ApiModel(description = "学生考勤出参")
@Accessors(chain = true)
public class StudentAttendanceResp implements Serializable {

    @ApiModelProperty(value = "上课日期")
    private String classDate;

    @ApiModelProperty(value = "上课时间")
    private String classTime;

    @ApiModelProperty(value = "声部名称")
    private List<String> subjectName;

    @ApiModelProperty(value = "到课比")
    private String attendanceRate;

    @ApiModelProperty(value = "请假人数")
    private Integer leaveNum;

    @ApiModelProperty(value = "学生姓名")
    private String studentName;

    @ApiModelProperty(value = "考勤状态")
    private String status;

    @ApiModelProperty(value = "上课星期")
    private String classWeek;

    @ApiModelProperty(value = "课程计划id")
    private Long courseScheduleId;
}
