package com.ym.mec.education.resp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.List;

/**
 * @program: mec
 * @description: 老师考勤出参
 * @author: xw
 * @create: 2019-09-30 14:06
 */
@Data
@ApiModel(description = "老师考勤出参")
@Accessors(chain = true)
public class TeacherAttendanceResp {

    @ApiModelProperty(value = "上课日期")
    private String classDate;

    @ApiModelProperty(value = "课程类别")
    private String courseType;

    @ApiModelProperty(value = "上课星期")
    private String classWeek;

    @ApiModelProperty(value = "声部名称")
    private List<String> subjectName;

    @ApiModelProperty(value = "课程进度")
    private String courseProgress;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "老师考勤状态")
    private String teacherAttendanceStatus;

    @ApiModelProperty(value = "课酬")
    private BigDecimal teacherSalary;
}
