package com.ym.mec.education.resp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import java.io.Serializable;
import java.util.List;

/**
 * @program: mec
 * @description: 小课出参
 * @author: xw
 * @create: 2019-10-01 23:28
 */
@Data
@ApiModel(description = "小课出参")
@Accessors(chain = true)
public class VipGroupResp implements Serializable {

    @ApiModelProperty(value = "授课老师")
    private String teacher;

    @ApiModelProperty(value = "课程进度")
    private String courseProgress;

    @ApiModelProperty(value = "上课学生")
    private List<String> studentList;
}
