package com.ym.mec.education.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.education.base.BaseResponse;
import com.ym.mec.education.base.PageResponse;
import com.ym.mec.education.entity.MusicGroup;
import com.ym.mec.education.req.ClassGroupReq;
import com.ym.mec.education.req.MusicGroupReq;

/**
 * <p>
 * 乐团表 服务类
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
public interface IMusicGroupService extends IService<MusicGroup> {


    PageResponse groupList(MusicGroupReq req);

    BaseResponse groupDetail(Integer groupId);

    PageResponse classGroupList(ClassGroupReq req);
}
