package com.ym.mec.education.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.education.base.BaseResponse;
import com.ym.mec.education.base.PageResponse;
import com.ym.mec.education.entity.StudentCourseHomework;
import com.ym.mec.education.req.HomeWorkDetailReq;
import com.ym.mec.education.req.HomeWorkReq;

/**
 * <p>
 * 学生课程作业 服务类
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
public interface IStudentCourseHomeworkService extends IService<StudentCourseHomework> {

    PageResponse workList(HomeWorkReq req);

    BaseResponse getHomeWorkDetail(HomeWorkDetailReq req);

    /**
     * 学员列表 作业列表
     * @param req
     * @return
     */
    PageResponse homeWorkList(HomeWorkReq req);
}
