package com.ym.mec.education.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.education.entity.Subject;
import java.util.List;

/**
 * <p>
 * 科目(声部) 服务类
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
public interface ISubjectService extends IService<Subject> {

    /**
     * 根据声部id List查询声部
     * @param subjectIdArr
     * @return
     */
    List<Subject> getSubjectList(String subjectIdArr);

}
