package com.ym.mec.student.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

import java.util.Date;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.ym.mec.common.controller.BaseController;

/** 
 * 系统时间
 */
@RestController
@Api(tags = "获取系统时间")
@RequestMapping(value = "systemDate")
public class SystemDateController extends BaseController {

	@ApiOperation(value = "查询参数")
	@GetMapping(value = "query")
	public Object query() {
		return succeed(new Date());
	}
}
