package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.ManagerDownload;
import com.ym.mec.biz.dal.page.EndCourseScheduleQueryInfo;

import java.io.FileNotFoundException;
import java.util.Map;


public interface ExportService {

    /**
     * 订单列表导出
     * @param params
     * @throws Exception
     */
    void orderList(Map<String, Object> params, ManagerDownload managerDownload) throws Exception;


    /**
     * 财务管理下载
     * @param params
     * @param managerDownload
     * @throws Exception
     */
    void routeOrderList(Map<String, Object> params, ManagerDownload managerDownload) throws Exception;

    /**
     * 课表列表导出
     * @param queryInfo
     * @param managerDownload
     */
    void superFindCourseSchedules(EndCourseScheduleQueryInfo queryInfo, ManagerDownload managerDownload) throws FileNotFoundException;

    /**
    * @description:  报表中心学员小课记录导出
     * @param organId
     * @param managerDownload
    * @return void
    * @author zx
    * @date 2021/11/5 11:38 
    */
    void studentVipPractice(String organId, ManagerDownload managerDownload) throws FileNotFoundException;
}
