package com.ym.mec.biz.service.impl;

import com.ym.mec.common.dal.BaseDAO;
import org.springframework.beans.factory.annotation.Autowired;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.biz.dal.entity.MemberFeeSetting;
import com.ym.mec.biz.service.MemberFeeSettingService;
import com.ym.mec.biz.dal.dao.MemberFeeSettingDao;
import org.springframework.stereotype.Service;

@Service
public class MemberFeeSettingServiceImpl extends BaseServiceImpl<Integer, MemberFeeSetting>  implements MemberFeeSettingService {
	
	@Autowired
	private MemberFeeSettingDao memberFeeSettingDao;

	@Override
	public BaseDAO<Integer, MemberFeeSetting> getDAO() {
		return memberFeeSettingDao;
	}

    @Override
    public MemberFeeSetting findByRankIdAndOrganId(Integer organId, Integer rankId) {
		return memberFeeSettingDao.findByRankIdAndOrganId(organId,rankId);
    }
}