package com.ym.mec.education.controller;

import com.ym.mec.biz.dal.page.CourseHomeWorkTemplateQueryInfo;
import com.ym.mec.biz.service.CourseHomeworkTemplateService;
import com.ym.mec.common.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author Joburgess
 * @Date 2019/9/18
 */
@RequestMapping("courseHomeworkTemplate")
@Api(tags = "作业模板")
@RestController
public class CourseHomeworkTemplateController extends BaseController {

    @Autowired
    private CourseHomeworkTemplateService courseHomeworkTemplateService;

    @ApiOperation(value = "分页查询作业模板列表")
    @PostMapping("/queryPage")
    public Object queryPage(@RequestBody CourseHomeWorkTemplateQueryInfo queryInfo){
        return succeed(courseHomeworkTemplateService.queryPage(queryInfo));
    }

}
