package com.ym.mec.education.controller;

import com.ym.mec.education.base.BaseResponse;
import com.ym.mec.education.service.ISysMessageService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @program: mec
 * @description: 消息
 * @author: xw
 * @create: 2019-10-10 19:12
 */
@RestController
@RequestMapping("/api/message")
@Slf4j
public class MessageController {

    @Autowired
    private ISysMessageService messageService;

    /**
     * 获取当前登陆人的消息
     * @return
     */
    @GetMapping("/info")
    public BaseResponse getMessage(){
        return messageService.getInfo();
    }
}
