package com.ym.mec.education.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ym.mec.education.entity.StudentAttendance;
import com.ym.mec.education.req.AttendClassReq;
import com.ym.mec.education.resp.AttendClassResp;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 学生考勤表 Mapper 接口
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
public interface StudentAttendanceMapper extends BaseMapper<StudentAttendance> {

    /**
     *学生上课记录
     * @param page
     * @return
     */
    Page<AttendClassResp> selectPageByCondition(Page page, @Param("query") AttendClassReq req);
}
