package com.ym.mec.education.resp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import java.io.Serializable;

/**
 * @program: mec
 * @description: 接收消息出参
 * @author: xw
 * @create: 2019-10-10 19:17
 */
@Data
@ApiModel(description = "接收消息")
@Accessors(chain = true)
public class MessageResp implements Serializable {

    @ApiModelProperty(value = "待审批处理消息数量")
    private Integer approvalCount;
    @ApiModelProperty(value = "考勤异常消息数量")
    private Integer attendanceCount;
    @ApiModelProperty(value = "其他类型消息数量")
    private Integer otherStatusCount;
    @ApiModelProperty(value = "首页总消息数量")
    private Integer totalCount;
    @ApiModelProperty(value = "当前登录人姓名")
    private String userName;
    @ApiModelProperty(value = "当前登录人id")
    private Integer userId;
    @ApiModelProperty(value = "职务")
    private String jobType;
    @ApiModelProperty(value = "当前登录人手机号")
    private String mobileNo;
}
