package com.ym.mec.education.resp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import java.io.Serializable;

/**
 * @program: mec
 * @description: 老师日程安排
 * @author: xw
 * @create: 2019-10-08 17:24
 */
@Data
@ApiModel(description = "老师日程安排")
@Accessors(chain = true)
public class TeacherDailyScheduleResp implements Serializable {

    @ApiModelProperty(value = "课程类型")
    private String courseType;
    @ApiModelProperty(value = "课程名称")
    private String courseName;
    @ApiModelProperty(value = "老师签到情况")
    private String signInStatus;
    @ApiModelProperty(value = "到课比")
    private String attendanceRate;
    @ApiModelProperty(value = "请假人数")
    private Integer leaveNum;
    @ApiModelProperty(value = "上课时间")
    private String classTime;
    @ApiModelProperty(value = "学校名称")
    private String schoolName;
    @ApiModelProperty(value = "课程计划id")
    private Long courseScheduleId;
}
