package com.ym.mec.education.resp;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @version V1.0
 * @Description: TODO
 * @date Date : 2019年09月29日 13:45
 */
@Data
@ToString
public class TeacherDetailResp implements Serializable {

    private Integer userId;

    //名字
    private String name;
    //头像
    private String avatar;
    //技能名（小号，长笛）
    private List<String> subjectName;

    //班级名称
    private List<String> className;
    //vip课时
    private Integer vipClassNum;
    //乐团课时
    private Integer groupClassNum;

    //体验课
    private List<InnerDemoGroup> demoGroups;
    //请假天数
    private Integer countNum;
    //共计小时
    private Integer hourCount;
    //消耗课时
    private Integer used;

    @Data
    public static class InnerDemoGroup{
        private String dateStr;

        private String week;

        private List<DemoGroupPlan> demoGroupPlans;


    }

    @Data
    public static  class DemoGroupPlan{

        private String startTime;

        private String endTime;
    }
}
