package com.ym.mec.student.controller;

import com.ym.mec.biz.dal.entity.PageMonitor;
import com.ym.mec.biz.service.PageMonitorService;
import com.ym.mec.common.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RequestMapping("pageMonitor")
@Api(tags = "页面监控")
@RestController
public class PageMonitorController extends BaseController {

    @Autowired
    private PageMonitorService pageMonitorService;

    @ApiOperation(value = "新增页面监控")
    @PostMapping("/add")
    private Object add(PageMonitor pageMonitor){
        pageMonitorService.add(pageMonitor);
        return succeed();
    }

}
