package com.ym.mec.student.controller;

import com.ym.mec.biz.dal.page.SysExamSongQueryInfo;
import com.ym.mec.biz.service.SysExamSongService;
import com.ym.mec.common.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RequestMapping("sysExamSong")
@Api(tags = "曲库服务")
@RestController
public class SysExamSongController extends BaseController {

    @Autowired
    private SysExamSongService sysExamSongService;

    @ApiOperation(value = "分页查询")
    @GetMapping("/queryPage")
    public Object queryPage(SysExamSongQueryInfo queryInfo) {
        queryInfo.setType("COMMON");
        return succeed(sysExamSongService.queryPage(queryInfo));
    }

}
